Bug 536145 - (RHQ-527) PageList missing serialVersionUID
PageList missing serialVersionUID
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 01:41 EDT by John Mazzitelli
Modified: 2008-08-11 10:13 EDT (History)
0 users

See Also:
Fixed In Version: 1.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-05-30 01:41:00 EDT
I just noticed that the PageList utilty is missing a serialVersionUID. Don't we serialize those over the wire in places?  I'm fairly sure we send paged lists down to the agent for some things.

In any event, it is serializable and so should have a serialVersionUID defined.
Comment 1 Joseph Marques 2008-07-19 20:59:13 EDT
rev1119 - serialized object needs a serialVersionUID, using the default 1L value; 
Comment 2 Corey Welton 2008-08-11 10:13:15 EDT
<cswiii_hm> can i get some steps for http://jira.rhq-project.org/browse/RHQ-527 ?
<cswiii_hm> i am not sure how to test this
<joseph> oh, this is a code-only thing

Dev tracker - nothing to fix here.
Comment 3 Red Hat Bugzilla 2009-11-10 16:11:10 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-527

Note You need to log in before you can comment on or make changes to this bug.